%global cpan_name Messaging-Message

Name:           perl-%{cpan_name}
Version:        1.6.1
Release:        1%{?dist}
Summary:        Abstraction of a message
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/%{cpan_name}/
Source0:        http://search.cpan.org/CPAN/authors/id/L/LC/LCONS/%{cpan_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(Compress::Zlib)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(Directory::Queue)
BuildRequires:  perl(Encode)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(JSON)
BuildRequires:  perl(MIME::Base64)
BuildRequires:  perl(No::Worries) >= 1.1
BuildRequires:  perl(Params::Validate)
BuildRequires:  perl(Pod::Coverage) >= 0.18
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.22
BuildRequires:  perl(Test::Pod::Coverage) >= 1.08
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides an abstraction of a "message", as used in "messaging",
see for instance: http://en.wikipedia.org/wiki/Enterprise_messaging_system.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
rm -fr $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} $RPM_BUILD_ROOT/*

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Oct  5 2016 Lionel Cons <lionel.cons@cern.ch> 1.6.1-1
- Upgrade to 1.6.1 upstream version, rhbz #1381897.

* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.5-9
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Dec  3 2015 Lionel Cons <lionel.cons@cern.ch> 1.5-7
- Spec file cleanup.

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.5-5
- Perl 5.22 rebuild

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.5-4
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Nov 28 2013 Massimo Paladin <massimo.paladin@gmail.com> 1.5-2
- Remove old patch.

* Thu Nov 28 2013 Massimo Paladin <massimo.paladin@gmail.com> 1.5-1
- Upgrade to 1.5 upstream version, rhbz #1035763.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 25 2013 Petr Pisar <ppisar@redhat.com> - 1.4-3
- Perl 5.18 rebuild
- Force fixed JSON ordering in tests (CPAN RT#87341)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Nov 20 2012 Massimo Paladin <massimo.paladin@gmail.com> 1.4-1
- Upgrade to 1.4 upstream version.

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jun 16 2012 Petr Pisar <ppisar@redhat.com> - 1.3-2
- Perl 5.16 rebuild

* Fri May 11 2012 Massimo Paladin <massimo.paladin@gmail.com> 1.3-1%{?dist}
- Upgrade to 1.3 upstream version.
* Tue Apr 17 2012 Massimo Paladin <massimo.paladin@gmail.com> 1.0-1%{?dist}
- Upgrade to 1.0 upstream version.
* Fri Feb 10 2012 Laurence Field <Laurence.Field@cern.ch> 0.8-1%{?dist}
- New Upstream Version
* Thu Jan 12 2012 Lionel Cons <lionel.cons@cern.ch> 0.7-3%{?dist}
- Specfile cleanup.
* Wed Dec 07 2011 Lionel Cons <lionel.cons@cern.ch> 0.7-1%{?dist}
- Specfile autogenerated by cpanspec 1.78.
